%define         name gda1.2
%define         pkgname libgda

%define         build_mysql 1
%{?_with_mysql: %global build_mysql 1}
%define         build_freetds 0
%{?_with_freetds: %global build_freetds 1}
%define         build_mdb 0
%{?_with_mdb: %global build_mdb 1}
%define         build_mono 0
%{?_with_mono: %global build_mono 1}


%define api		1.0
%define oname		compat-gda
%define major		2
%define libname		%mklibname %{oname}%{api}_ %major
%define develname	%mklibname %{oname}%{api} -d

Summary:	GNU Data Access
Name:		%{name}
Version:	1.2.4
Release:	%mkrel 3
License:	GPLv2+ and LGPLv2+
Group: 		Databases
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/libgda/libgda-%{version}.tar.bz2
Patch0:		libgda-1.2.3-configpath.patch  
Patch1:		libgda-1.2.3-gdasql.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	bison
BuildRequires:	db4-devel
BuildRequires:	flex
BuildRequires:	gdbm-devel
BuildRequires:	glib2-devel
BuildRequires:	libxslt-devel >= 1.0.9
BuildRequires:	ncurses-devel
BuildRequires:  openldap2-devel
#gw for the intltool scripts:
BuildRequires:	perl-XML-Parser
BuildRequires:	popt-devel
BuildRequires:	postgresql-devel
BuildRequires:	readline-devel
BuildRequires:	scrollkeeper
BuildRequires:  sqlite3-devel
BuildRequires:  unixODBC-devel
BuildRequires:	intltool
%if %build_mysql
BuildRequires:	MySQL-devel
%endif
%if %build_freetds
BuildRequires:	freetds-devel
%endif
%if %build_mdb
BuildRequires:	libmdbtools-devel
%endif
BuildRequires:	gtk-doc
#Requires(post):		scrollkeeper
#Requires(postun):	scrollkeeper
Conflicts:	gda < 0.3
URL: 		http://www.gnome-db.org/

%description
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

Drivers for the supported databases are included in the gda2.0-* packages.

%package -n     %{libname}
Summary:        GNU Data Access Development
Group:          System/Libraries
Provides:       %libname = %{version}-%{release}
Requires:       %name >= %version

%description -n %{libname}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n     %{develname}
Summary:        GNU Data Access Development
Group:          Development/Databases
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname compat-gda1.0_ 2 -d}

%description -n %{develname}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package postgres
Summary:	GDA PostgreSQL Provider
Group:		Databases
Requires:	%{name} = %{version}

%description postgres
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA PostgreSQL provider

%package mysql
Summary:	GDA MySQL Provider
Group:		Databases
Requires:	%{name} = %{version}

%description mysql
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA MySQL provider

%package odbc
Summary:	GDA ODBC Provider
Group:		Databases
Requires:	%{name} = %{version}

%description odbc
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA ODBC provider.

%package sqlite
Summary:	GDA SQLite Provider
Group:		Databases
Requires:	%{name} = %{version}

%description sqlite
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA SQLite provider.

%package ldap
Summary:	GDA LDAP Provider
Group:		Databases
Requires:	%{name} = %{version}

%description ldap
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA LDAP provider.

%package bdb
Summary:	GDA Berkeley Database Provider
Group:		Databases
Requires:	%{name} = %{version}

%description bdb
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA Berkeley Database provider.

%package freetds
Summary:	GDA FreeTDS Provider
Group:		Databases
Requires:	%{name} = %{version}

%description freetds
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA FreeTDS provider.

%package mdb
Summary:	GDA MDB Provider
Group:		Databases
Requires:	%{name} = %{version}

%description mdb
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA MDB provider, which can access
Microsoft Access databases.


%package xbase
Summary:	GDA xbase Provider
Group:		Databases
Requires:	%{name} = %{version}
BuildRequires:	libxbase-devel

%description xbase
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

%if %build_mono
%package -n gda-sharp
Group: Development/Other
Summary:GNU Data Access C# bindings
BuildRequires: mono-devel
BuildRequires: gtk-sharp2
Requires: %name = %version
Requires: %name-devel = %version

%description -n gda-sharp
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

%files -n gda-sharp
%defattr(-, root, root)
%_libdir/libgda/
%{_libdir}/pkgconfig/gda-sharp-3.0.pc
%endif

%prep
%setup -q -n libgda-%{version}
%patch0 -p1 -b .configure
%patch1 -p1 -b .gdasql

# (Abel) mkinstalldirs is not distributed, this is temp hack
cat > mkinstalldirs << _EOF_
#!/bin/sh
exec mkdir -p "\$@"
_EOF_
chmod +x mkinstalldirs

autoconf

%build
%configure2_5x --disable-static --disable-gtk-doc \
%if %build_mysql
	--with-mysql=yes \
%endif
%if !%build_freetds
	--with-tds=no \
%endif
%if !%build_mdb
	--with-mdb=no \
%endif
	--with-sqlite=%_prefix \
	--without-firebird

%make

%install
rm -rf $RPM_BUILD_ROOT

%{makeinstall_std}

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
# Need to set these exectutable so that they get stripped into debuginfo
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib*.so.*
chmod +x $RPM_BUILD_ROOT%{_libdir}/libgda/providers/libgda-*

rm -fr $RPM_BUILD_ROOT%{_datadir}/gtk-doc
rm -fr $RPM_BUILD_ROOT%{_datadir}/omf
rm -fr $RPM_BUILD_ROOT%{_bindir}
rm -fr $RPM_BUILD_ROOT%{_mandir}
rm -fr $RPM_BUILD_ROOT%{_datadir}/libgda

%if !%build_mono
rm -f %buildroot/%_libdir/libgda/gda-sharp*
rm -f %buildroot/%_libdir/libgda/gda-api.xml
%endif

%{find_lang} %{pkgname}-%{major} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %{pkgname}-%{major}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog README

%dir %{_sysconfdir}/compat-libgda
%config(noreplace) %{_sysconfdir}/compat-libgda/config
%{_libdir}/libgda/providers/libgda-xml.so
%{_libdir}/libgda/providers/libgda-bdb.so

%files -n %{libname}
%defattr(-, root, root)
%dir %{_libdir}/libgda
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%files postgres
%defattr(-, root, root)
%{_libdir}/libgda/providers/libgda-postgres.so

%files odbc
%defattr(-, root, root)
%{_libdir}/libgda/providers/libgda-odbc.so

%files sqlite
%defattr(-, root, root)
%{_libdir}/libgda/providers/libgda-sqlite.so

%files ldap
%defattr(-, root, root)
%{_libdir}/libgda/providers/libgda-ldap.so

%files bdb
%defattr(-, root, root)
%{_libdir}/libgda/providers/libgda-bdb.so

%if %build_mysql
%files mysql
%defattr(-, root, root)
%{_libdir}/libgda/providers/libgda-mysql.so
%endif

%if %build_freetds
%files freetds
%defattr(-, root, root)
%{_libdir}/libgda/providers/libgda-freetds.so
%endif

%if %build_mdb
%files mdb
%defattr(-, root, root)
%{_libdir}/libgda/providers/libgda-mdb.so
%endif

%files xbase
%defattr(-, root, root)
%{_libdir}/libgda/providers/libgda-xbase.so




%changelog
* Wed Dec 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-3mdv2008.1
+ Revision: 137944
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Adam Williamson <awilliamson@mandriva.com> 1.2.4-2mdv2008.0
+ Revision: 91161
- rebuild for 2008
- new devel policy
- new license policy


* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-1mdv2007.0
+ Revision: 106556
- new version

* Fri Jan 05 2007 Jérôme Soyer <saispo@mandriva.org> 1.2.3-1mdv2007.1
+ Revision: 104374
- Import gda1.2

